# mtlb_mode

switch Matlab like operations

## Calling Sequence

    mmode = mtlb_mode()
                mtlb_mode(mmode)

## Arguments

mmode

  boolean

## Description

Scilab and Matlab additions and subtractions work differently when used with empty matrices:

Scilab

      a=1;
      a+[]
      // -->a

      a-[]
      // -->a

      []+a
      // -->a

      []-a
      // -->-a

Matlab

      a+[] -->[]
      a-[] -->[]
      []+a -->[]
      []-a -->[]

`mtlb_mode(%t)` switches to Matlab evaluation mode for additions and subtractions. `mtlb_mode(%f)` switches back to Scilab mode.

`mtlb_mode()` returns the current `mmode`' value (`%t`=Matlab, `%f`=Scilab).

## See Also

- empty